/*
 *  Copyright (c) 2008 Cyrille Berger <cberger@cberger.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _GTLGlue_PIPELINE_P_H_
#define _GTLGlue_PIPELINE_P_H_

#include "Pipeline.h"

#include <vector>

namespace GTLGlue {
  class SourceNode;
  class DestinationNode;
  class Pipeline::Private {
    public:
      ~Private();
//      void appendProcessingNode();
      /**
       * Append a source to the \ref Pipeline.
       */
      void appendSource( const GTLCore::PixelDescription& );
      /**
       * Append a destination to the \ref Pipeline.
       */
      void appendDestination( const GTLCore::PixelDescription& );
      void appendProcessingNode( ProcessingNode* _processingNode );
      OutputNode* sourceNode( unsigned int _index);
      InputNode* destinationNode( unsigned int _index);
    private:
      std::vector<SourceNode*> m_sources;
      std::vector<DestinationNode*> m_destinations;
      std::vector<ProcessingNode*> m_nodes;
  };
}

#endif
